import request from '@/utils/request'

// 查询委外工单列表
export function listOutsourceWorkOrder(query) {
	return request({
		url: '/device/outsourceWorkOrder/list',
		method: 'get',
		params: query
	});
}

// 查询委外工单详细
export function getOutsourceWorkOrder(workId) {
	return request({
		url: '/device/outsourceWorkOrder/' + workId,
		method: 'get'
		});
}

// 新增委外工单
export function addOutsourceWorkOrder(data) {
	return request({
		url: '/device/outsourceWorkOrder',
		method: 'post',
		data: data
	});
}

// 修改委外工单
export function updateOutsourceWorkOrder(data) {
	return request({
		url: '/device/outsourceWorkOrder',
		method: 'put',
		data: data
	});
}

// 删除委外工单
export function delOutsourceWorkOrder(workId) {
	return request({
		url: '/device/outsourceWorkOrder/' + workId,
		method: 'delete'
	});
}
